org.apache.commons.lang3.arch

## Enum Processor.Arch

- java.lang.Object
- - java.lang.Enum<Processor.Arch>
  - - org.apache.commons.lang3.arch.Processor.Arch

- All Implemented Interfaces:
    Serializable, Comparable<Processor.Arch>
  Enclosing class:
    Processor

      public static enum Processor.Arch
      extends Enum<Processor.Arch>

  The `Processor.Arch` enum defines the architecture of a microprocessor. The architecture represents the bit value of the microprocessor. The following architectures are defined:
  - 32-bit
  - 64-bit
  - Unknown

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BIT_32` A 32-bit processor architecture.
    `BIT_64` A 64-bit processor architecture.
    `UNKNOWN` An unknown-bit processor architecture.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getLabel()` Gets the label suitable for display.
    `static Processor.Arch` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Processor.Arch[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BIT_32

          public static final Processor.Arch BIT_32

      A 32-bit processor architecture.

    - #### BIT_64

          public static final Processor.Arch BIT_64

      A 64-bit processor architecture.

    - #### UNKNOWN

          public static final Processor.Arch UNKNOWN

      An unknown-bit processor architecture.

  - ### Method Detail

    - #### values

          public static Processor.Arch[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Processor.Arch c : Processor.Arch.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Processor.Arch valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getLabel

          public String getLabel()

      Gets the label suitable for display.
      Returns:
        the label.

Copyright © 2001–2023 The Apache Software Foundation. All rights reserved.